# NameAbbreviator Class Reference

Inherits ObjectImpl.

List of all members.

## Detailed Description

NameAbbreviator generates abbreviated logger and class names.

## Public Member Functions

virtual | ~NameAbbreviator ()
virtual void | abbreviate (LogString::size_type nameStart, LogString &buf) const =0
| Abbreviates a name in a StringBuffer.

## Static Public Member Functions

static NameAbbreviatorPtr | getAbbreviator (const LogString &pattern)
| Gets an abbreviator.
static NameAbbreviatorPtr | getDefaultAbbreviator ()
| Gets default abbreviator.

## Protected Member Functions

| NameAbbreviator ()

## Constructor & Destructor Documentation

NameAbbreviator | ( |  | ) | `[protected]`

virtual ~NameAbbreviator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void abbreviate | ( | LogString::size_type | nameStart,
|  | LogString & | buf
| ) | const`[pure virtual]`

Abbreviates a name in a StringBuffer.

Parameters:

  | nameStart | starting position of name in buf.
  | buf | buffer, may not be null.

static NameAbbreviatorPtr getAbbreviator | ( | const LogString & | pattern | ) | `[static]`

Gets an abbreviator.

For example, "%logger{2}" will output only 2 elements of the logger name, "%logger{1.}" will output only the first character of the non-final elements in the name, "logger(1~.2~} will output the first character of the first element, two characters of the second and subsequent elements and will use a tilde to indicate abbreviated characters.

Parameters:

  | pattern | abbreviation pattern.

Returns:
  abbreviator, will not be null.

static NameAbbreviatorPtr getDefaultAbbreviator | ( |  | ) | `[static]`

Gets default abbreviator.

Returns:
  default abbreviator.

The documentation for this class was generated from the following file:

- nameabbreviator.h